<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: internal_transfer.OutputLists Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classinternal__transfer_1_1_output_lists.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classinternal__transfer_1_1_output_lists-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">internal_transfer.OutputLists Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a96fe6ff4746dd14811ca3a600ef92d19"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#a96fe6ff4746dd14811ca3a600ef92d19">__init__</a> (self, <a class="el" href="classinternal__transfer_1_1_output_lists.html#aefe2559ff1fa23c444a60d57aa9c39f2">database_presim</a>, <a class="el" href="classinternal__transfer_1_1_output_lists.html#a8dc6ddc471d2f745043dd438380790b0">database_sim</a>, <a class="el" href="classinternal__transfer_1_1_output_lists.html#a3717d984ba1cb0f3f2e7617ea4cdc9af">orbit_env</a>=False)</td></tr>
<tr class="separator:a96fe6ff4746dd14811ca3a600ef92d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4144e7638ab0a1af0277cba9fe3e51b5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#a4144e7638ab0a1af0277cba9fe3e51b5">write_into_sensor_database</a> (self)</td></tr>
<tr class="separator:a4144e7638ab0a1af0277cba9fe3e51b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed43548200dfc5beb43af5ee17e80d46"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#aed43548200dfc5beb43af5ee17e80d46">safe_output</a> (self, str name, list column_names, list column_content, int json_length=1)</td></tr>
<tr class="separator:aed43548200dfc5beb43af5ee17e80d46"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aefe2559ff1fa23c444a60d57aa9c39f2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#aefe2559ff1fa23c444a60d57aa9c39f2">database_presim</a></td></tr>
<tr class="separator:aefe2559ff1fa23c444a60d57aa9c39f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dc6ddc471d2f745043dd438380790b0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#a8dc6ddc471d2f745043dd438380790b0">database_sim</a></td></tr>
<tr class="separator:a8dc6ddc471d2f745043dd438380790b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3717d984ba1cb0f3f2e7617ea4cdc9af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#a3717d984ba1cb0f3f2e7617ea4cdc9af">orbit_env</a></td></tr>
<tr class="separator:a3717d984ba1cb0f3f2e7617ea4cdc9af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa011b7c3aabdf42e191e3c886717f8d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#aa011b7c3aabdf42e191e3c886717f8d3">satellite_position</a></td></tr>
<tr class="separator:aa011b7c3aabdf42e191e3c886717f8d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa70c26d2340aee0f5f7a58b20f0303dc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#aa70c26d2340aee0f5f7a58b20f0303dc">satellite_velocity</a></td></tr>
<tr class="separator:aa70c26d2340aee0f5f7a58b20f0303dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d19fdc6b23cef0bbdf04e60babd581b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#a6d19fdc6b23cef0bbdf04e60babd581b">radius_ellipsoid</a></td></tr>
<tr class="separator:a6d19fdc6b23cef0bbdf04e60babd581b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13521a97d8e1cbb6b834a8a078b7bceb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#a13521a97d8e1cbb6b834a8a078b7bceb">magnetic_field_strength</a></td></tr>
<tr class="separator:a13521a97d8e1cbb6b834a8a078b7bceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a12ba4aaf7c09ae57bdd84a01824bee"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#a9a12ba4aaf7c09ae57bdd84a01824bee">earth_to_sun</a></td></tr>
<tr class="separator:a9a12ba4aaf7c09ae57bdd84a01824bee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ebd1b2b91392fbbb5574a464b9a5491"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#a6ebd1b2b91392fbbb5574a464b9a5491">eclipse</a></td></tr>
<tr class="separator:a6ebd1b2b91392fbbb5574a464b9a5491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9a26977293d864912b466e95bfd5dd5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classinternal__transfer_1_1_output_lists.html#ad9a26977293d864912b466e95bfd5dd5">output_dict</a></td></tr>
<tr class="separator:ad9a26977293d864912b466e95bfd5dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a96fe6ff4746dd14811ca3a600ef92d19" name="a96fe6ff4746dd14811ca3a600ef92d19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96fe6ff4746dd14811ca3a600ef92d19">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def internal_transfer.OutputLists.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>database_presim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>database_sim</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>orbit_env</em> = <code>False</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Save all output data into lists.

:param database_presim: name of the environment and orbit simulation
database
:param database_sim: name of the sensor+dynamic simulation output
database
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aed43548200dfc5beb43af5ee17e80d46" name="aed43548200dfc5beb43af5ee17e80d46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed43548200dfc5beb43af5ee17e80d46">&#9670;&nbsp;</a></span>safe_output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def internal_transfer.OutputLists.safe_output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&#160;</td>
          <td class="paramname"><em>column_names</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&#160;</td>
          <td class="paramname"><em>column_content</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>json_length</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Writes output into dict as pandas frame and creates/overwrites json
    output file

:param name: name of the sensor, also key of the dict and name+".json"
             of the output file
:param column_names: list of column names as string
:param column_content: list of column content
:param json_length: rows of the json file
</pre> 
</div>
</div>
<a id="a4144e7638ab0a1af0277cba9fe3e51b5" name="a4144e7638ab0a1af0277cba9fe3e51b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4144e7638ab0a1af0277cba9fe3e51b5">&#9670;&nbsp;</a></span>write_into_sensor_database()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def internal_transfer.OutputLists.write_into_sensor_database </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Write the sensor_output_list into the database_sim </pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aefe2559ff1fa23c444a60d57aa9c39f2" name="aefe2559ff1fa23c444a60d57aa9c39f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefe2559ff1fa23c444a60d57aa9c39f2">&#9670;&nbsp;</a></span>database_presim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.database_presim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8dc6ddc471d2f745043dd438380790b0" name="a8dc6ddc471d2f745043dd438380790b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dc6ddc471d2f745043dd438380790b0">&#9670;&nbsp;</a></span>database_sim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.database_sim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a12ba4aaf7c09ae57bdd84a01824bee" name="a9a12ba4aaf7c09ae57bdd84a01824bee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a12ba4aaf7c09ae57bdd84a01824bee">&#9670;&nbsp;</a></span>earth_to_sun</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.earth_to_sun</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ebd1b2b91392fbbb5574a464b9a5491" name="a6ebd1b2b91392fbbb5574a464b9a5491"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ebd1b2b91392fbbb5574a464b9a5491">&#9670;&nbsp;</a></span>eclipse</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.eclipse</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a13521a97d8e1cbb6b834a8a078b7bceb" name="a13521a97d8e1cbb6b834a8a078b7bceb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13521a97d8e1cbb6b834a8a078b7bceb">&#9670;&nbsp;</a></span>magnetic_field_strength</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.magnetic_field_strength</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3717d984ba1cb0f3f2e7617ea4cdc9af" name="a3717d984ba1cb0f3f2e7617ea4cdc9af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3717d984ba1cb0f3f2e7617ea4cdc9af">&#9670;&nbsp;</a></span>orbit_env</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.orbit_env</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9a26977293d864912b466e95bfd5dd5" name="ad9a26977293d864912b466e95bfd5dd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9a26977293d864912b466e95bfd5dd5">&#9670;&nbsp;</a></span>output_dict</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.output_dict</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d19fdc6b23cef0bbdf04e60babd581b" name="a6d19fdc6b23cef0bbdf04e60babd581b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d19fdc6b23cef0bbdf04e60babd581b">&#9670;&nbsp;</a></span>radius_ellipsoid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.radius_ellipsoid</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa011b7c3aabdf42e191e3c886717f8d3" name="aa011b7c3aabdf42e191e3c886717f8d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa011b7c3aabdf42e191e3c886717f8d3">&#9670;&nbsp;</a></span>satellite_position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.satellite_position</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa70c26d2340aee0f5f7a58b20f0303dc" name="aa70c26d2340aee0f5f7a58b20f0303dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa70c26d2340aee0f5f7a58b20f0303dc">&#9670;&nbsp;</a></span>satellite_velocity</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">internal_transfer.OutputLists.satellite_velocity</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="internal__transfer_8py.html">internal_transfer.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceinternal__transfer.html">internal_transfer</a></li><li class="navelem"><a class="el" href="classinternal__transfer_1_1_output_lists.html">OutputLists</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
